// RTCChange.h: interface for the TRTCChange class, used to manage changes to RTC.
//

#if !defined(_RTCCHANGE_H_)
#define _RTCCHANGE_H_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#undef DECL
#if defined(_AFXDLL) || defined(XPERT_EXE)
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif
#else
#define DECL 
#endif


///////////////////////////////////////////////////////////////////////////
// TRTCChange class
//
class DECL TRTCChange
{
   // This class is used to detect when a change to RTC occurs. To use this 
   // class, just create an instance locally and call GetHandle() to obtain 
   // the event handle that will be set when the RTC changes. The event 
   // is reset automatically after the caller has been notified. Note that 
   // since this class uses an autoreset event option on the event, only 
   // one thread will be released for each event signal. This means every 
   // thread needs to create its own instance of this class. 

   // 
   // Interface
   // 
   public:
   
   // Constructors and destructor.
   TRTCChange();
   ~TRTCChange();

   // Retrieve the handle that is signaled when system time changes. 
   HANDLE GetHandle() {return m_hEvent;};

   // 
   // Implementation
   // 
   protected:

   // Attributes
   HANDLE m_hEvent;
   CString m_strEventName;
   TCHAR* m_pszEventPath;
   static UINT64 m_iCounter;
};


#endif // !defined(_RTCCHANGE_H_)
