// StatusData.h: A place to store status data that needs to be shared across SLL's and DLL's
//

#pragma once

#include "Time.h"

#undef DECL
#if defined(_AFXDLL) || defined(XPERT_EXE)
#ifdef UTILS_DLL
#define DECL _declspec(dllexport)
#else
#define DECL _declspec(dllimport)
#endif
#else
#define DECL 
#endif

extern DWORD DECL g_dwPPPOn;          // non-zero if the PPP modem is currently on (contains the tickcount when it was turned on)
extern INT64 DECL g_dwPPPOnTime;      // number of seconds PPP has had the modem turned on for

void DECL LockStatusData();    // call this to obtain exclusive access to the status data
void DECL UnLockStatusData();  // call this to release exlusive access
TTimeSpan DECL GetPPPTotalOnTime();